#!/bin/bash

cd ${0%${0##*/}}.

#JAVA_HOME=/opt/jre
#BGCASHCHECK_SERVER_DIR=/opt/BGCashcheckServer

if [ -z "$JAVA_HOME" ]; then
  echo "The JAVA_HOME environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

if [ -z "$BGCASHCHECK_SERVER_DIR" ]; then
  echo "The BGCASHCHECK_SERVER_DIR environment variable is not defined"
  echo "This environment variable is needed to run this program"
  exit 1
fi

CLASSPATH=${BGCASHCHECK_SERVER_DIR}:${BGCASHCHECK_SERVER_DIR}/lib/*:${BGCASHCHECK_SERVER_DIR}/lib/app/*:${BGCASHCHECK_SERVER_DIR}/lib/ext/*

INPUT=${BGCASHCHECK_SERVER_DIR}/log/cashserver.out

${JAVA_HOME}/bin/java -Duser.language=ru -Duser.region=RU -cp ${CLASSPATH} ru.bitel.bgbilling.apps.cashcheck.frk.vprinter.VirtualPrinter ${INPUT}